Debian Bug report logs - #596212
python-coverage: use externally-packaged jQuery libraries

version graph

Package: python-coverage; Maintainer for python-coverage is Ben Finney <ben+debian@benfinney.id.au>; Source for python-coverage is src:python-coverage.

Reported by: Ben Finney <ben+debian@benfinney.id.au>

Date: Thu, 9 Sep 2010 09:36:05 UTC

Severity: normal

Merged with 600674

Found in versions 3.2-1, python-coverage/3.2-1

Fixed in version python-coverage/3.4-1

Done: Ben Finney <ben+debian@benfinney.id.au>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to ben+debian@benfinney.id.au, Lars Wirzenius <liw@iki.fi>:
Bug#596212; Package python-coverage. (Thu, 09 Sep 2010 09:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
New Bug report received and forwarded. Copy sent to ben+debian@benfinney.id.au, Lars Wirzenius <liw@iki.fi>. (Thu, 09 Sep 2010 09:36:08 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: Debian Bug Tracking System <maintonly@bugs.debian.org>
Subject: python-coverage: use externally-packaged jQuery libraries
Date: Thu, 09 Sep 2010 19:33:52 +1000
Package: python-coverage
Version: 3.2-1
Severity: normal

The current version of Coverage has, unlike previous versions,
introduced use of various jQuery libraries. These are packaged with the
Coverage library, and even installed in each report when generated.

As of ‘python-coverage’ 3.2-1, the files duplicated in this package are:

    htmlfiles/jquery-1.3.2.min.js
    htmlfiles/jquery.tablesorter.min.js

Per Debian policy §4.13 “Convenience copies of code”, the jQuery files
should not be duplicated in this package. Instead, Coverage should use
them from the packaged jQuery libraries.

-- 
 \      “I find the whole business of religion profoundly interesting. |
  `\     But it does mystify me that otherwise intelligent people take |
_o__)                                    it seriously.” —Douglas Adams |
Ben Finney <ben@benfinney.id.au>




Information forwarded to debian-bugs-dist@lists.debian.org, Lars Wirzenius <liw@iki.fi>:
Bug#596212; Package python-coverage. (Thu, 09 Sep 2010 09:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
Extra info received and forwarded to list. Copy sent to Lars Wirzenius <liw@iki.fi>. (Thu, 09 Sep 2010 09:42:05 GMT) Full text and rfc822 format available.

Message #10 received at 596212@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: 596212@bugs.debian.org
Cc: Debian BTS control <control@bugs.debian.org>
Subject: Re: Bug#596212: python-coverage: use externally-packaged jQuery libraries
Date: Thu, 9 Sep 2010 19:39:43 +1000
[Message part 1 (text/plain, inline)]
package python-coverage
block 596212 by 584127
thanks

On 09-Sep-2010, Ben Finney wrote:
>     htmlfiles/jquery.tablesorter.min.js

This does not yet appear to be packaged for Debian, and is addressed
by Bug#584127.

-- 
 \       “bash awk grep perl sed, df du, du-du du-du, vi troff su fsck |
  `\                     rm * halt LART LART LART!” —The Swedish BOFH, |
_o__)                                            alt.sysadmin.recovery |
Ben Finney <ben@benfinney.id.au>
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 596212: 584127 Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Thu, 09 Sep 2010 09:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Lars Wirzenius <liw@iki.fi>:
Bug#596212; Package python-coverage. (Thu, 09 Sep 2010 10:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Finney <ben+debian@benfinney.id.au>:
Extra info received and forwarded to list. Copy sent to Lars Wirzenius <liw@iki.fi>. (Thu, 09 Sep 2010 10:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 596212@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: Steve Kemp <skx@debian.org>
Cc: 596212@bugs.debian.org
Subject: Re: Bug#596212: python-coverage: use externally-packaged jQuery libraries
Date: Thu, 9 Sep 2010 20:49:27 +1000
[Message part 1 (text/plain, inline)]
Howdy Steve,

On 09-Sep-2010, Ben Finney wrote:
> Per Debian policy §4.13 “Convenience copies of code”, the jQuery
> files should not be duplicated in this package. Instead, Coverage
> should use them from the packaged jQuery libraries.

I've followed the instructions in the README.Debian for ‘libjs-jquery’
to use it from HTML files generated by ‘python-coverage’, but without
success.

Using the attribute ‘src="/javascript/jquery/jquery.js"’ failed; the
script silently fails to load. I could onyl get it to work with
‘src="/usr/share/javascript/jquery/jquery.js"’.

What is the expected context for following the instructions in the
‘libjs-jquery’ README.Debian? Could that document be updated to be
explicit about what that context is, and perhaps the limitations of
where that advice holds true?


How would you recommend a package like ‘python-coverage’ make use of
the ‘libjs-jquery’ code? There is no server expected in this use.

Rather, the tool generates an HTML report which, in the upstream code,
gets the jQuery library copied into every such report. The HTML
documents then reference the jQuery libraries directly from the same
directory, with the intention that the report directory can be moved
anywhere, even to a different machine, and still work since the jQuery
libraries stay with the report.

Is this a case where the package should not modify the upstream usage
of the jQuery library?

-- 
 \     “Men never do evil so completely and cheerfully as when they do |
  `\        it from religious conviction.” —Blaise Pascal (1623–1662), |
_o__)                                                   Pensées, #894. |
Ben Finney <ben@benfinney.id.au>
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 596212 600674. Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Tue, 19 Oct 2010 01:27:04 GMT) Full text and rfc822 format available.

Added indication that bug 596212 blocks 600672 Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Tue, 19 Oct 2010 02:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ben Finney <ben+debian@benfinney.id.au>:
Bug#596212; Package python-coverage. (Tue, 19 Oct 2010 07:45:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Kemp <skx@debian.org>:
Extra info received and forwarded to list. Copy sent to Ben Finney <ben+debian@benfinney.id.au>. (Tue, 19 Oct 2010 07:45:12 GMT) Full text and rfc822 format available.

Message #26 received at 596212@bugs.debian.org (full text, mbox):

From: Steve Kemp <skx@debian.org>
To: Ben Finney <ben+debian@benfinney.id.au>, Steve Kemp <skx@debian.org>, 596212@bugs.debian.org
Subject: Re: Bug#596212: python-coverage: use externally-packaged jQuery libraries
Date: Tue, 19 Oct 2010 09:37:04 +0100
On Thu Sep 09, 2010 at 20:49:27 +1000, Ben Finney wrote:

> I've followed the instructions in the README.Debian for ???libjs-jquery???
> to use it from HTML files generated by ???python-coverage???, but without
> success.

  Right, I think your specific use-case is non-standard and doesn't
 really match what the available documentation.

> Using the attribute ???src="/javascript/jquery/jquery.js"??? failed; the
> script silently fails to load. I could onyl get it to work with
> ???src="/usr/share/javascript/jquery/jquery.js"???.

  This makes sense - because you're not expecting to serve the
 file via HTTP, but instead via a local file-system access.

  Your solution is correct:

    * Load via filesystem path, rather than by the URL, from beneath
      /usr/share/javascript/.


> What is the expected context for following the instructions in the
> ???libjs-jquery??? README.Debian? Could that document be updated to be
> explicit about what that context is, and perhaps the limitations of
> where that advice holds true?

  In 99% of cases, where the library is intended to be included by a
 file fetched via HTTP, the documentation is correct as-is.

  Its only if you're trying to load jQuery via something that doesn't
 use a web-server, and is instead found on the filesystem, that we
 need to document the solution.

> Rather, the tool generates an HTML report which, in the upstream code,
> gets the jQuery library copied into every such report. The HTML
> documents then reference the jQuery libraries directly from the same
> directory, with the intention that the report directory can be moved
> anywhere, even to a different machine, and still work since the jQuery
> libraries stay with the report.

  To handle that I'd almost suggest making a code-change.  Linking
 /usr/share/javascript/jquery/jquery.js to the directory of the
 output - and then loading <script src="jquery.js"></script> - such
 that if the directory is moved the source still works,.

Steve
--
Let me steal your soul?
http://stolen-souls.com




Bug 600672 cloned as bug 635476. Request was from Ben Finney <ben+debian@benfinney.id.au> to control@bugs.debian.org. (Tue, 26 Jul 2011 05:15:05 GMT) Full text and rfc822 format available.

Reply sent to Ben Finney <ben+debian@benfinney.id.au>:
You have taken responsibility. (Wed, 27 Jul 2011 07:51:04 GMT) Full text and rfc822 format available.

Notification sent to Ben Finney <ben+debian@benfinney.id.au>:
Bug acknowledged by developer. (Wed, 27 Jul 2011 07:51:04 GMT) Full text and rfc822 format available.

Message #33 received at 596212-close@bugs.debian.org (full text, mbox):

From: Ben Finney <ben+debian@benfinney.id.au>
To: 596212-close@bugs.debian.org
Subject: Bug#596212: fixed in python-coverage 3.4-1
Date: Wed, 27 Jul 2011 07:47:19 +0000
Source: python-coverage
Source-Version: 3.4-1

We believe that the bug you reported is fixed in the latest version of
python-coverage, which is due to be installed in the Debian FTP archive:

python-coverage-dbg_3.4-1_powerpc.deb
  to main/p/python-coverage/python-coverage-dbg_3.4-1_powerpc.deb
python-coverage_3.4-1.debian.tar.gz
  to main/p/python-coverage/python-coverage_3.4-1.debian.tar.gz
python-coverage_3.4-1.dsc
  to main/p/python-coverage/python-coverage_3.4-1.dsc
python-coverage_3.4-1_powerpc.deb
  to main/p/python-coverage/python-coverage_3.4-1_powerpc.deb
python-coverage_3.4.orig.tar.gz
  to main/p/python-coverage/python-coverage_3.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596212@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Finney <ben+debian@benfinney.id.au> (supplier of updated python-coverage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 27 Jul 2011 16:23:25 +1000
Source: python-coverage
Binary: python-coverage python-coverage-dbg
Architecture: source powerpc
Version: 3.4-1
Distribution: unstable
Urgency: low
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
Changed-By: Ben Finney <ben+debian@benfinney.id.au>
Description: 
 python-coverage - code coverage tool for Python
 python-coverage-dbg - code coverage tool for Python – debug symbols
Closes: 596212 600672
Changes: 
 python-coverage (3.4-1) unstable; urgency=low
 .
   * The “Mravaljamier” release.
   * New upstream version (Closes: bug#600672).
     Primary user-visible changes:
     + Settings are now read from a .coveragerc file.
     + Enable coverage measurement when Python starts.
     + Support for Python 2.7 and 3.2 opcodes.
     + Finer control over what gets recorded or reported.
   * debian/preinst:
     + Remove: Squeeze is released, so we no longer need to maintain the
       special cleanup of ‘python-central’ mess.
   * debian/copyright:
     + Conform to current DEP-5 format.
     + Update with current copyright information.
   * debian/control:
     + Conform to ‘Standards-Version: 3.9.2’. No additional changes required.
   * debian/control, debian/rules:
     + Switch to ‘dh_python2’ packaging helper.
     + Depend on ECMAScript libraries needed for HTML reports.
     + Remove duplicate ECMAScript libraries.
   * debian/patches/01.refactor-handling-static-files.patch,
     debian/patches/02.use-system-js-libraries.patch:
     + Use the Debian system ECMAScript libraries
       (Closes: bug#596212).
Checksums-Sha1: 
 40863d21cbc207d44d6bbe29cf121b1126d25416 1396 python-coverage_3.4-1.dsc
 fd244e9890ae8b235315123a82c25e0db1788c26 92121 python-coverage_3.4.orig.tar.gz
 25efe4561205a62ee5c2bd6c267458eabbd20552 6766 python-coverage_3.4-1.debian.tar.gz
 ef421589a89158fc4b839de084f64929b395be1e 72866 python-coverage_3.4-1_powerpc.deb
 447e11c1befa27dd94c054735e27768d67d3452f 36954 python-coverage-dbg_3.4-1_powerpc.deb
Checksums-Sha256: 
 7a4ce4fde797a62985d492b761657fae036cbf6aaf2d5e94212a4ec806967994 1396 python-coverage_3.4-1.dsc
 ac8a28fbe4a5d3ece87c731a9de08eaaa5357179856d43cb5c3756c709ff8e12 92121 python-coverage_3.4.orig.tar.gz
 bfde8e3a34b0fa0f290f7fa79b0d693ba481fbcd070d1532d7b22fdf4d82210a 6766 python-coverage_3.4-1.debian.tar.gz
 5fab77c25ba759c99221c256ea998eca9caff847bf8c88686bcd4a298eafdea7 72866 python-coverage_3.4-1_powerpc.deb
 050bbc17412ff6551f99348c2de1dd3240dbed5f0e2374f14eaf615e19311c7d 36954 python-coverage-dbg_3.4-1_powerpc.deb
Files: 
 db56440a212944f340738216be37067a 1396 python optional python-coverage_3.4-1.dsc
 46782809578c8fd29912c124d2420842 92121 python optional python-coverage_3.4.orig.tar.gz
 87e97d09667a4ea5cc92550559d7da25 6766 python optional python-coverage_3.4-1.debian.tar.gz
 3a3fbe8ee3bdf112338181d086736716 72866 python optional python-coverage_3.4-1_powerpc.deb
 42c0c712bcee1a0331a973ffe9aae44f 36954 debug extra python-coverage-dbg_3.4-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEAREIAAYFAk4vv6UACgkQIiYF7H0aG3l0/ACeNtwAIi41MPJ1E3AKaeGxA3QX
c/oAnipXKwh6mf9/SQ61Oj8WD89CH54m
=bAaQ
-----END PGP SIGNATURE-----





Reply sent to Ben Finney <ben+debian@benfinney.id.au>:
You have taken responsibility. (Wed, 27 Jul 2011 07:51:05 GMT) Full text and rfc822 format available.

Notification sent to Ben Finney <ben+debian@benfinney.id.au>:
Bug acknowledged by developer. (Wed, 27 Jul 2011 07:51:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Sep 2011 07:33:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:19:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.